Bug 514928 - Review Request: rubygem-fastercsv - FasterCSV is CSV, but faster, smaller and cleaner
Summary: Review Request: rubygem-fastercsv - FasterCSV is CSV, but faster, smaller and...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-31 14:50 UTC by Robert Scheck
Modified: 2009-09-02 20:54 UTC (History)
5 users (show)

Fixed In Version: 1.5.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-17 20:28:27 UTC
Type: ---
jan.klepek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2009-07-31 14:50:32 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/rubygem-fastercsv.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/rubygem-fastercsv-1.5.0-1.src.rpm
Description:
FasterCSV is intended as a complete replacement to the CSV standard library.
It is significantly faster and smaller while still being pure Ruby code. It
also strives for a better interface.

Comment 1 Jan Klepek 2009-08-02 19:44:05 UTC
1] use global instead of define

2] summary should not start with name of application/library and there is missing subject of that sentence. 
better summary would be "Library for ..." and specifying what this library does.
does it parse csv files? or ... ?

3]
%if 0%{?rhel}%{?fedora} > 5
Requires:	ruby(abi) = %{ruby_abiver}
%endif

it has to require ruby(abi) = 1.8 otherwise it conflict with ruby packaging guidelines
https://fedoraproject.org/wiki/Packaging:Ruby

4] multiple listed files
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/fastercsv-1.5.0/AUTHORS
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/fastercsv-1.5.0/CHANGELOG
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/fastercsv-1.5.0/COPYING
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/fastercsv-1.5.0/LICENSE
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/fastercsv-1.5.0/README

Comment 2 Robert Scheck 2009-08-05 13:11:20 UTC
Will correct 1/2/3/4, you're right. But given that 1 is a dumb Fedora decision,
which makes no sense from the rpm-only point of view.

Anything else I could correct as well? I don't want to provide a new *.src.rpm
for every possible tiny future change - thank you.

Comment 3 Mamoru TASAKA 2009-08-05 16:34:21 UTC
Some notes

- LICENSE text says this is "GPLv2 or Ruby"
- As gem file contains test/ directory, add %check section
  and execute some tests.

By the way the comments 3] and 4] in comment 1 is blockers .

Comment 4 Robert Scheck 2009-08-09 17:37:16 UTC
Thank you both so far, I hopefully addressed all mentioned issues now:

Spec URL: http://labs.linuxnetz.de/bugzilla/rubygem-fastercsv.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/rubygem-fastercsv-1.5.0-2.src.rpm

Comment 5 Jan Klepek 2009-08-15 10:19:43 UTC
1] 
license:
there is setup.rb which is LGPL
reflect it in spec file with appropriate comment
https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios

*rpmlint ok
*ruby guidelines ok
*legible & english spec file
*naming ok
*directory ownage & files section ok
*clean/install section & macros ok
*utf-8 ok

conclusion: License needs to be corrected, otherwise it looks ok

Comment 6 Mamoru TASAKA 2009-08-15 10:30:29 UTC
(In reply to comment #5)
> 1] 
> license:
> there is setup.rb which is LGPL

I don't think we should consider the license of setup.rb
( like that we usually does not consider the license of
  Makefile, configure )
Anyway "GPLv2 or Ruby" is stricter than LGPLv2 so this
can be ignored anyway.

Comment 7 Robert Scheck 2009-08-15 11:06:13 UTC
As this is clarified now, anything else?

Comment 8 Jan Klepek 2009-08-16 09:12:46 UTC
approved

Comment 9 Robert Scheck 2009-08-16 11:25:24 UTC
Jan, thank you for the review.


New Package CVS Request
=======================
Package Name: rubygem-fastercsv
Short Description: Faster, smaller and cleaner replacement to standard CSV library
Owners: robert
Branches: EL-5 F-10 F-11
InitialCC:

Comment 10 Kevin Fenzi 2009-08-17 18:19:48 UTC
cvs done.

Comment 11 Fedora Update System 2009-08-17 20:09:05 UTC
rubygem-fastercsv-1.5.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rubygem-fastercsv-1.5.0-2.el5

Comment 12 Fedora Update System 2009-08-17 20:09:11 UTC
rubygem-fastercsv-1.5.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-fastercsv-1.5.0-2.fc11

Comment 13 Fedora Update System 2009-08-17 20:26:53 UTC
rubygem-fastercsv-1.5.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-fastercsv-1.5.0-2.fc10

Comment 14 Robert Scheck 2009-08-17 20:28:27 UTC
Package: rubygem-fastercsv-1.5.0-2.el5 Tag: dist-5E-epel-testing-candidate Status: complete Built by: robert
Package: rubygem-fastercsv-1.5.0-2.fc10 Tag: dist-f10-updates-candidate Status: complete Built by: robert
Package: rubygem-fastercsv-1.5.0-2.fc11 Tag: dist-f11-updates-candidate Status: complete Built by: robert
Package: rubygem-fastercsv-1.5.0-2.fc12 Tag: dist-f12 Status: complete Built by: robert

Comment 15 Fedora Update System 2009-08-18 21:12:18 UTC
rubygem-fastercsv-1.5.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-08-18 21:15:10 UTC
rubygem-fastercsv-1.5.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-09-02 20:54:43 UTC
rubygem-fastercsv-1.5.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.